Bug 125687 - Cannot set global background pattern
Cannot set global background pattern
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
rawhide
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-09 22:57 EDT by Ivan Gyurdiev
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-24 19:50:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2004-06-09 22:57:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040518 Firefox/0.8

Description of problem:
I used to be able to click on backgrounds and emblems, drag + drop a
background pattern on the background and have it work. This is no
longer the case. I selected "Use Default Background" in the
right-click menu, and now when I dnd patterns only the current folder
is changed, and not every folder. I don't think that's desirable, but
if it was intentional,
then can you tell me how to set the overall background pattern?

"Use Default Background" is not like a checkbox - you can click on it,
cause irreversible effects to the browser, and can't click on it again
to undo those - that's probably the real bug.





Version-Release number of selected component (if applicable):
nautilus-2.6.0-5

How reproducible:
Didn't try

Steps to Reproduce:


Additional info:
Comment 1 Alexander Larsson 2004-06-10 04:18:48 EDT
You can use alt-drag and then pick ".. for all folders".
Its sort of undiscoverable, but we haven't figured out another good
way to expose it.
Comment 2 Ivan Gyurdiev 2004-06-10 05:20:15 EDT
It's easy - all you have to do is make it the default. How many people
actually set per-folder background patterns? Then the per-folder
behavior could be with alt-drag until you figure out a good way to
expose it :) I don't think the current behavior is acceptable.
Comment 3 Alexander Larsson 2004-06-11 02:40:30 EDT
per-folder backgrounds make much more sense for spatial mode, and in
fact if you drop on a browser window you set the global default.
Comment 4 Ivan Gyurdiev 2004-06-11 03:25:18 EDT
That's a good point - it goes along with the whole "the window is the
folder" idea. Still... the default background is basically white (is
it? I don't know anymore) I hate white - I can't stand it. 
I have to change it everywhere immediately. How likely am I to go
around the entire system setting up per-window backgrounds? It's too
much work - I won't ever do that. The ALT thing is too hidden - I
wouldn't have ever found it. The background customization system is
ridiculously easy to use, and then you expect a person to know about
the magical key ALT somehow.

Furthermore I don't like the backgrounds - I like about one or two of
them. I think it would be common for a person to pick the one
background he/she likes and go for consistent look rather than pick 10
different ones and make a mess and clothify different folders. I'm
sure some people will do that, but I don't think it will be a majority.
Comment 5 Ivan Gyurdiev 2004-06-11 08:24:39 EDT
Furthermore there's another bug.
If you drag and press ALT and select All Folders, it only sets the
background pattern for all folders if the place where you drop it has
a *different* background from what you've chosen. That should be the
case usually, but not always. 

If I drop the same background pattern on a folder, but I want it to
take effect for all folders, then it should do exactly that, rather
than ignore what I did.

Comment 6 Ivan Gyurdiev 2004-11-24 19:50:17 EST
This bug is too ancient. Closing.

Note You need to log in before you can comment on or make changes to this bug.